function [output_image] = fun_baseline_adjustment(input_image, input_ROI_adjustment)

%% adjust basal level of input_image according to input_ROI_adjustment  
  output_image = zeros(size(input_image));
  initial_intensity_adjustment = sum(input_ROI_adjustment .* input_image(:,:,1), 'all')./sum(input_ROI_adjustment,'all');
  
  for i = 1 : size(input_image, 3)       
       adjustment_ratio = sum(input_ROI_adjustment .* input_image(:,:,i), 'all')./sum(input_ROI_adjustment,'all')./initial_intensity_adjustment;
       output_image(:,:,i) = input_image(:,:,i)./adjustment_ratio;
  end 


end

