function [output_map_event] = fun_generate_new_map_event(input_map_event, input_list_event)

    output_map_event = input_map_event .* 0; % generate all zero map_event
    
    if ~isempty(input_list_event) % convert voxels 1 by 1
        for i = 1 : size(input_list_event, 1)
            voxel = cell2mat(input_list_event(i));
            for j = 1 : size(voxel, 1)
                output_map_event (voxel(j, 2), voxel(j, 1), voxel(j, 3)) = 1;
            end
        end
    end

end

