function [output_image_blurred] = fun_imageblur_xy(input_image, input_blurfactor, input_blur_round)
%IMAGEBLUR Summary of this function goes here
%   Detailed explanation goes here
    output_image_blurred = input_image;
    for i = 1 : input_blur_round
        for j = 1:size(input_image,3)
            output_image_blurred(:,:,j) = conv2(output_image_blurred(:,:,j), ...
                ones(input_blurfactor,input_blurfactor)/(input_blurfactor^2), 'same');
        end
    end
end

