function [output_imageF] = fun_zsmooth(input_image, input_zsmooth_duration, input_samplefrequency, input_zsmooth_round)

    output_imageF = input_image;
    input_zsmooth_window = floor(input_zsmooth_duration .* input_samplefrequency);
    for i = 1: input_zsmooth_round
        output_imageF = movmean(output_imageF, input_zsmooth_window, 3);
    end        

end

